For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Dev Portal
DocsAPI ReferenceLearnCommunityChangelog
DocsAPI ReferenceLearnCommunityChangelog
    • About Our APIs
  • REST
    • Overview
      • Overview
      • Storefront
      • Management
        • Overview
          • Addresses
          • Authentication
          • Channels
          • Company
          • Invoice Management
          • Orders
          • Payment
          • Quotes
          • Sales Staff
          • Shopping List
            • GETList Shopping Lists
            • POSTCreate Shopping List
            • GETGet Shopping List
            • PUTUpdate Shopping List
            • DELDelete Shopping List
            • DELDelete Shopping List Item
          • Super Admin
          • Users
  • GraphQL
    • Overview
  • MCP
    • Overview
Dev Portal
LogoLogo
RESTB2BManagementShopping List

Get Shopping List

GET
https://api-b2b.bigcommerce.com/api/v3/io/shopping-list/:shoppingListId
GET
/api/v3/io/shopping-list/:shoppingListId
$curl https://api-b2b.bigcommerce.com/api/v3/io/shopping-list/1 \
> -H "X-Auth-Token: <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "code": 200,
3 "meta": {
4 "message": "SUCCESS",
5 "pagination": {
6 "totalCount": 1,
7 "limit": 10,
8 "offset": 0
9 }
10 },
11 "data": {
12 "id": 1,
13 "name": "Weekly Groceries",
14 "description": "Shopping list for weekly household groceries",
15 "status": 0,
16 "companyId": 42,
17 "userId": 12,
18 "createdAt": 1685606400,
19 "updatedAt": 1685692800,
20 "channelId": 3,
21 "channelName": "Main Storefront",
22 "items": [
23 {
24 "id": 101,
25 "productId": 9876,
26 "variantId": 6543,
27 "quantity": 3,
28 "sortOrder": 1,
29 "optionList": {
30 "optionId": "color",
31 "optionValue": "red"
32 },
33 "productNote": "Prefer organic if available"
34 }
35 ]
36 }
37}
Get a shopping list detail information
Was this page helpful?
Previous

Create Shopping List

Next

Update Shopping List

Built with

Authentication

X-Auth-Tokenstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Auth-Token` | `access_token` | For more about API accounts that generate `access_token`s, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts). | For example requests and more information about authenticating BigCommerce APIs, see [Authentication and Example Requests](/developer/docs/overview/api-fundamentals/api-accounts#x-auth-token-header-example-requests). For more about BigCommerce OAuth scopes, see our [Guide to API Accounts](/developer/docs/overview/api-fundamentals/api-accounts#oauth-scopes). For a list of API status codes, see [API Status Codes](/developer/api-reference/rest/overview#rest-http-status-codes).
X-Store-Hashstring
| Header | Argument | Description | |:-------|:---------|:------------| | `X-Store-Hash` | `store_hash` | The unique store hash associated with a BigCommerce store that has B2B Edition enabled. |

Path parameters

shoppingListIdintegerRequired
The unique ID for a shopping list.

Query parameters

userIdintegerOptional
B2B Edition buyer user ID, you can enter a user ID to check if this user can view this shopping list.
sortByenumOptional
the field to sort by
Allowed values:
orderByenumOptional
desc or asc for sort by
Allowed values:
customerIdintegerOptional
BigCommerce customer ID, passing this parameter will obtain the shopping list according to the b2c user.
offsetintegerOptional>=0Defaults to 0
Pagination offset for shopping list items
limitintegerOptional1-250Defaults to 250
Pagination limit for shopping list items

Response

OK
codeinteger
Response code of success request.
metaobject
dataobject
Response data

Errors

404
Not Found Error
HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

HeaderArgumentDescription
X-Store-Hashstore_hashThe unique store hash associated with a BigCommerce store that has B2B Edition enabled.